Buongiorno a tutti,<br>premetto che sono arrivato alla conclusione che è tutta colpa mia, anche se ancora non ho capito perchè!<br>Detto questo mi devo essere perso qualcosa, fatto sta che da quando ho aggiornato la versione di ubuntu dalla 9.10 alla 10.04 non capisco più come usare il mio sistema, mi spiego meglio:<br>
a parte aver perso tutti i miei db di sviluppo nell&#39;aggiornare postgres (ho già postato il problema in un altro thread) mi sono accorto &quot;orora&quot; che qgis (1.4) non si riesce a connettere alle tabelle postgis, dandomi un errore di connessione.<br>
<br><p style="margin: 0px; text-indent: 0px;">Controllo i file di configurazione di postgres e mi accorgo che la porta non è più la 5432 ma la 5433 (!!!) - ovviamente non sono stato io a cambiarla.</p><p style="margin: 0px; text-indent: 0px;">
Se cambio la porta e riavvio il postmaster, mi fa casino, e mi dice qualcosa sulla porta...ok, rimetto la porta 5433<br></p>
<p style="margin: 0px; text-indent: 0px;">Reimposto la connessione con la porta giusta, stavolta il problema è legato all&#39;autenticazione:</p><style type="text/css">
p, li { white-space: pre-wrap; }
</style>
<p style="margin: 0px; text-indent: 0px;">&quot;FATAL:  password authentication failed for user &quot;beppe&quot;&quot;</p><p style="margin: 0px; text-indent: 0px;">ovviamente da riga di comando tutto funziona alla perfezione! Mi connetto tranquillamente con l&#39;utente beppe!</p>
<p style="margin: 0px; text-indent: 0px;"><br></p><br>Il file pg_hba.conf dovrebbe accettare le connessioni tcp/ip:<br>&quot;host    all         all         <a href="http://127.0.0.1/32">127.0.0.1/32</a>          md5<br>host    all     all     192.168.1.57    255.255.255.0     md5&quot;, --&gt; l&#39;ip della mia macchina<br>
configurazione che, tra l&#39;altro, funziona perfettamente su un altro pc che monta postgres 8.3.11 e ubuntu 9.10<br><br>Provo a connettermi da phpPgAdmin e, altra sorpresa, apache non mi apre più i file .php, o meglio, alcuni me li apre e altri no, mostrandomi la schermata in cui mi chiede con che programma voglio aprire lo script. <br>
Non capisco perchè alcune pagine php le mostra tranquillamente e altre no!!!<br>Ovviamente non ho modificato alcun file di configurazione né di php né di apache!<br><br>Insomma, cosa devo fare?<br>Vi confesso che questa situazione mi sta facendo un po&#39; innervosire, cosa che non giova nella risoluzione dei problemi.<br>
<br>Grazie mille<br clear="all"><br>-- <br>-beppe-<br>